package com.propertyManagement.business.service;

import com.propertyManagement.business.domain.WxCarport;
import com.propertyManagement.business.domain.vo.WxCarportVo;
import com.propertyManagement.business.domain.bo.WxCarportBo;
import com.propertyManagement.common.core.page.TableDataInfo;
import com.propertyManagement.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 业主车位Service接口
 *
 * @author liushuai
 * @date 2025-05-26
 */
public interface IWxCarportService {

    /**
     * 查询业主车位
     */
    WxCarportVo queryById(Long carportId);

    /**
     * 查询业主车位列表
     */
    TableDataInfo<WxCarportVo> queryPageList(WxCarportBo bo, PageQuery pageQuery);

    /**
     * 查询业主车位列表
     */
    List<WxCarportVo> queryList(WxCarportBo bo);

    /**
     * 新增业主车位
     */
    Boolean insertByBo(WxCarportBo bo);

    /**
     * 修改业主车位
     */
    Boolean updateByBo(WxCarportBo bo);

    /**
     * 校验并批量删除业主车位信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
